#pragma once
#include <map>
struct M_ActivityIntegralExchangeCFGData
{
	//编号
	int mID;
	//凭证ID
	int mVoucherId;
	//凭证数量
	int mVoucherCount;
	//道具ID
	int mItemId;
	//道具数量
	int mItemCount;
};

class M_ActivityIntegralExchangeCFG
{
public:
private:
	static std::auto_ptr<M_ActivityIntegralExchangeCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityIntegralExchangeCFGData* GetData(int ID);
	const std::map<int, M_ActivityIntegralExchangeCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityIntegralExchangeCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityIntegralExchangeCFGData> mMapData;
};
